%define		realname	swfdec-mozilla
Summary:	Flash player for webbrowsers
Summary(pl.UTF-8):	Odtwarzacz plików w formacie Flash dla przeglądarek internetowych
Name:		browser-plugin-swfdec
Version:	0.9.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications/Multimedia
Source0:	http://swfdec.freedesktop.org/download/swfdec-mozilla/0.9/%{realname}-%{version}.tar.gz
# Source0-md5:	5e19c365d02f1ece2e7caec13c2b23d4
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	swfdec-gtk-devel >= 0.9.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	browser-plugins >= 2.0
Requires:	swfdec-gtk >= 0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package delivers a video/audio player plugin for web browsers.

%description -l pl.UTF-8
Ten pakiet dostarcza wtyczkę odtwarzacza wideo/audio dla przeglądarek
internetowych.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-plugin-dir=%{_browserpluginsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_browserpluginsdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_browserpluginsdir}/libswfdecmozilla.so
%{_iconsdir}/hicolor/*/apps/swfdec-mozilla.png
%{_iconsdir}/hicolor/scalable/apps/swfdec-mozilla.svg
%changelog
* Wed Oct 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/browser-plugin-swfdec.git;a=log;h=master

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 71d59eb
- updated to 0.9.2

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 3ccaf6e
- release 3 (by relup.sh)

* Tue Jul 16 2013 Jakub Bogusz <qboosh@pld-linux.org> c98c76c
- use __rm macro, more explicit files

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 72de93a
- Requires(post,postun): gtk-update-icon-cache

* Wed Jan 14 2009 duddits <duddits@pld-linux.org> 982b4e1
- up to 0.8.2

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> 7698a29
- up to 0.8.0 (merged from DEVEL)

* Wed Jul 09 2008 dzeus <dzeus@pld-linux.org> 5e8e6d6
- up req, rel. 5, rebuild

* Wed Apr 23 2008 hawk <hawk@pld-linux.org> ea000f0
- relaxed R/BR, version 0.6.0 builds and works with swfdec 0.6.4,
  tested on SeaMonkey, release 4

* Wed Apr 23 2008 hawk <hawk@pld-linux.org> c361bf7
- oops! don't use relup.sh on modified spec :)

* Wed Apr 23 2008 hawk <hawk@pld-linux.org> 4b7b799
- release 2

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> caa02e1
- updated to 0.6.0

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dd8f7f1
- rel 2

* Tue Dec 18 2007 vip <vip@pld-linux.org> 643925c
- up to 0.5.5

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> fdc94e8
- updated to 0.5.4

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 96a5d07
- updated to 0.5.3

* Sun Aug 26 2007 dzeus <dzeus@pld-linux.org> 1b84a80
- up to 0.5.2

* Tue Aug 07 2007 dzeus <dzeus@pld-linux.org> 52f917a
- up to 0.5.1

* Fri Jul 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 09b3882
- updated to 0.5.0

* Tue Jun 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 1de3755
- updated to 0.4.5
- removed obsolete xulrunner patch
- spec cleanup

* Tue Jun 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 606e31b
- obsolete

